.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_PrimitiveMesh:

PrimitiveMesh
=============

**Inherits:** :ref:`Mesh<class_mesh>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Inherited By:** :ref:`PlaneMesh<class_planemesh>`, :ref:`CubeMesh<class_cubemesh>`, :ref:`SphereMesh<class_spheremesh>`, :ref:`CylinderMesh<class_cylindermesh>`, :ref:`CapsuleMesh<class_capsulemesh>`, :ref:`QuadMesh<class_quadmesh>`, :ref:`PrismMesh<class_prismmesh>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+----------------------------------+--------------------------------------------------------------------------------------------------------------+
| :ref:`Material<class_material>`  | :ref:`get_material<class_PrimitiveMesh_get_material>`  **(** **)** const                                     |
+----------------------------------+--------------------------------------------------------------------------------------------------------------+
| void                             | :ref:`set_material<class_PrimitiveMesh_set_material>`  **(** :ref:`Material<class_material>` material  **)** |
+----------------------------------+--------------------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`Material<class_material>` **material**

Member Function Description
---------------------------

.. _class_PrimitiveMesh_get_material:

- :ref:`Material<class_material>`  **get_material**  **(** **)** const

.. _class_PrimitiveMesh_set_material:

- void  **set_material**  **(** :ref:`Material<class_material>` material  **)**


